(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap21.png", id:"Bitmap21"},
		{src:"images/Bitmap22.png", id:"Bitmap22"},
		{src:"images/Bitmap23.png", id:"Bitmap23"},
		{src:"images/Bitmap24.png", id:"Bitmap24"},
		{src:"images/Bitmap25.png", id:"Bitmap25"},
		{src:"images/Bitmap26.png", id:"Bitmap26"},
		{src:"images/Bitmap27.png", id:"Bitmap27"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1084,581);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap21 = function() {
	this.initialize(img.Bitmap21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap22 = function() {
	this.initialize(img.Bitmap22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap23 = function() {
	this.initialize(img.Bitmap23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap24 = function() {
	this.initialize(img.Bitmap24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap25 = function() {
	this.initialize(img.Bitmap25);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap26 = function() {
	this.initialize(img.Bitmap26);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap27 = function() {
	this.initialize(img.Bitmap27);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,90);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,91);


(lib.Symbol45 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap27();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol44 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap26();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol43 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap25();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol42 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap24();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol41 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap23();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol40 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap22();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol39 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap21();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol38 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap20();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol37 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol36 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap18();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol35 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol34 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol33 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol32 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol31 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol30 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol29 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol28 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol27 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol26 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol25 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol24 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol23 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol22 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.Symbol21 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,91);
p.frameBounds = [rect];


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,170,90);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '33468',
			title: 'Dobierz karty w pary.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',	 
			groupdrags: {		
				1: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26],
			},
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',	
				/*drop_5:*/ '1',	
				/*drop_6:*/ '1',	
				/*drop_7:*/ '1',	
				/*drop_8:*/ '1',	
				/*drop_9:*/ '1',		
				/*drop_10:*/ '1',
				/*drop_11:*/ '1',
				/*drop_12:*/ '1',
				/*drop_13:*/ '1',
				/*drop_14:*/ '1',	
				/*drop_15:*/ '1',	
				/*drop_16:*/ '1',	
				/*drop_17:*/ '1',	
				/*drop_18:*/ '1',
				/*drop_19:*/ '1',
				/*drop_20:*/ '1',
				/*drop_21:*/ '1',
				/*drop_22:*/ '1',
				/*drop_23:*/ '1',
				/*drop_24:*/ '1',
				/*drop_25:*/ '1',
				/*drop_26:*/ '1',
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			endsound: 'ssBrawa', exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {		
				/*
				Istancje obiektów na scenie, które mają zostać sparowane powinny mieć kolejne indeksy w nazwie,
				np drag_1 i drag_2, drag_3 i drag_4 itd. Indeksy nieparzyste będą miały prawidłową pozycję po lewej stronie,
				a parzyste po prawej. Zatem jeżeli umieścimy np obiekcie drop_1 obiekty o nazwie drag_2, funkcja zwróci błąd.
				W obiekcie drop_ z parzystym indeksem możemy umieścić tylko obiekt drag_ z również parzystym indeksem.
				To samo tyczy się obiektów z indeksami nieparzystymi.
				
				Następnie funkcja sprawdzi czy upuszczone obiekty drag_ maja kolejne indeksy, jeżeli nie zwróci błąd. 
				*/
				return dropPairCheck(config, dragCurrent, dropIndex, isCorrect);
				//commmon.js
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// drag
	this.drag_7 = new lib.Symbol34();
	this.drag_7.setTransform(1175,65,1,1,0,0,0,85,45);

	this.drag_1 = new lib.Symbol20();
	this.drag_1.setTransform(106,65,1,1,0,0,0,85,45);

	this.drag_6 = new lib.Symbol25();
	this.drag_6.setTransform(85,121.5,1,1,0,0,0,85,45.5);

	this.drag_15 = new lib.Symbol32();
	this.drag_15.setTransform(105,175,1,1,0,0,0,85,45);

	this.drag_16 = new lib.Symbol33();
	this.drag_16.setTransform(85,229.5,1,1,0,0,0,85,45.5);

	this.drag_10 = new lib.Symbol27();
	this.drag_10.setTransform(104,285.5,1,1,0,0,0,85,45.5);

	this.drag_11 = new lib.Symbol28();
	this.drag_11.setTransform(85,340,1,1,0,0,0,85,45);

	this.drag_24 = new lib.Symbol43();
	this.drag_24.setTransform(104,396.5,1,1,0,0,0,85,45.5);

	this.drag_26 = new lib.Symbol45();
	this.drag_26.setTransform(85,450.5,1,1,0,0,0,85,45.5);

	this.drag_19 = new lib.Symbol38();
	this.drag_19.setTransform(104,507,1,1,0,0,0,85,45);

	this.drag_20 = new lib.Symbol39();
	this.drag_20.setTransform(85,557.5,1,1,0,0,0,85,45.5);

	this.drag_21 = new lib.Symbol40();
	this.drag_21.setTransform(104,617,1,1,0,0,0,85,45);

	this.drag_22 = new lib.Symbol41();
	this.drag_22.setTransform(85,668.5,1,1,0,0,0,85,45.5);

	this.drag_17 = new lib.Symbol36();
	this.drag_17.setTransform(1195,115,1,1,0,0,0,85,45);

	this.drag_18 = new lib.Symbol37();
	this.drag_18.setTransform(1175,175.5,1,1,0,0,0,85,45.5);

	this.drag_13 = new lib.Symbol30();
	this.drag_13.setTransform(1195,226,1,1,0,0,0,85,45);

	this.drag_25 = new lib.Symbol44();
	this.drag_25.setTransform(1175,286,1,1,0,0,0,85,45);

	this.drag_23 = new lib.Symbol42();
	this.drag_23.setTransform(1195,336,1,1,0,0,0,85,45);

	this.drag_5 = new lib.Symbol24();
	this.drag_5.setTransform(1175,396,1,1,0,0,0,85,45);

	this.drag_14 = new lib.Symbol31();
	this.drag_14.setTransform(1195,446.5,1,1,0,0,0,85,45.5);

	this.drag_8 = new lib.Symbol35();
	this.drag_8.setTransform(1175,507.5,1,1,0,0,0,85,45.5);

	this.drag_4 = new lib.Symbol23();
	this.drag_4.setTransform(1195,557.5,1,1,0,0,0,85,45.5);

	this.drag_3 = new lib.Symbol22();
	this.drag_3.setTransform(1175,618,1,1,0,0,0,85,45);

	this.drag_9 = new lib.Symbol26();
	this.drag_9.setTransform(1195,668,1,1,0,0,0,85,45);

	this.drag_2 = new lib.Symbol21();
	this.drag_2.setTransform(1154,667.5,1,1,0,0,0,85,45.5);

	this.drag_12 = new lib.Symbol29();
	this.drag_12.setTransform(124,668.5,1,1,0,0,0,85,45.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_12},{t:this.drag_2},{t:this.drag_9},{t:this.drag_3},{t:this.drag_4},{t:this.drag_8},{t:this.drag_14},{t:this.drag_5},{t:this.drag_23},{t:this.drag_25},{t:this.drag_13},{t:this.drag_18},{t:this.drag_17},{t:this.drag_22},{t:this.drag_21},{t:this.drag_20},{t:this.drag_19},{t:this.drag_26},{t:this.drag_24},{t:this.drag_11},{t:this.drag_10},{t:this.drag_16},{t:this.drag_15},{t:this.drag_6},{t:this.drag_1},{t:this.drag_7}]}).wait(1));

	// drop
	this.drop_26 = new lib.Symbol45();
	this.drop_26.setTransform(985,605.5,1,1,0,0,0,85,45.5);

	this.drop_25 = new lib.Symbol44();
	this.drop_25.setTransform(985,515,1,1,0,0,0,85,45);

	this.drop_24 = new lib.Symbol43();
	this.drop_24.setTransform(755,605.5,1,1,0,0,0,85,45.5);

	this.drop_23 = new lib.Symbol42();
	this.drop_23.setTransform(755,515,1,1,0,0,0,85,45);

	this.drop_22 = new lib.Symbol41();
	this.drop_22.setTransform(526,605.5,1,1,0,0,0,85,45.5);

	this.drop_21 = new lib.Symbol40();
	this.drop_21.setTransform(526,515,1,1,0,0,0,85,45);

	this.drop_20 = new lib.Symbol39();
	this.drop_20.setTransform(296,605.5,1,1,0,0,0,85,45.5);

	this.drop_19 = new lib.Symbol38();
	this.drop_19.setTransform(296,515,1,1,0,0,0,85,45);

	this.drop_18 = new lib.Symbol37();
	this.drop_18.setTransform(1097,405.5,1,1,0,0,0,85,45.5);

	this.drop_17 = new lib.Symbol36();
	this.drop_17.setTransform(1097,315,1,1,0,0,0,85,45);

	this.drop_8 = new lib.Symbol35();
	this.drop_8.setTransform(985,205.5,1,1,0,0,0,85,45.5);

	this.drop_7 = new lib.Symbol34();
	this.drop_7.setTransform(985,115,1,1,0,0,0,85,45);

	this.drop_16 = new lib.Symbol33();
	this.drop_16.setTransform(868,405.5,1,1,0,0,0,85,45.5);

	this.drop_15 = new lib.Symbol32();
	this.drop_15.setTransform(868,315,1,1,0,0,0,85,45);

	this.drop_14 = new lib.Symbol31();
	this.drop_14.setTransform(640,405.5,1,1,0,0,0,85,45.5);

	this.drop_13 = new lib.Symbol30();
	this.drop_13.setTransform(640,315,1,1,0,0,0,85,45);

	this.drop_12 = new lib.Symbol29();
	this.drop_12.setTransform(410.9,405.5,1,1,0,0,0,85,45.5);

	this.drop_11 = new lib.Symbol28();
	this.drop_11.setTransform(411,315,1,1,0,0,0,85,45);

	this.drop_10 = new lib.Symbol27();
	this.drop_10.setTransform(183,405.5,1,1,0,0,0,85,45.5);

	this.drop_9 = new lib.Symbol26();
	this.drop_9.setTransform(183,315,1,1,0,0,0,85,45);

	this.drop_6 = new lib.Symbol25();
	this.drop_6.setTransform(755,205.5,1,1,0,0,0,85,45.5);

	this.drop_5 = new lib.Symbol24();
	this.drop_5.setTransform(755,115,1,1,0,0,0,85,45);

	this.drop_4 = new lib.Symbol23();
	this.drop_4.setTransform(526,205.5,1,1,0,0,0,85,45.5);

	this.drop_3 = new lib.Symbol22();
	this.drop_3.setTransform(526,115,1,1,0,0,0,85,45);

	this.drop_2 = new lib.Symbol21();
	this.drop_2.setTransform(296,205.5,1,1,0,0,0,85,45.5);

	this.drop_1 = new lib.Symbol20();
	this.drop_1.setTransform(296,115,1,1,0,0,0,85,45);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_7},{t:this.drop_8},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_21},{t:this.drop_22},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26}]}).wait(1));

	// bg
	this.instance = new lib.Bitmap1();
	this.instance.setTransform(98,69);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(0,20,1280,694);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(640,380,1280,694);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;